com.hazelcast.jet.pipeline

## Enum WindowDefinition.WindowKind

- java.lang.Object
- - java.lang.Enum<WindowDefinition.WindowKind>
  - - com.hazelcast.jet.pipeline.WindowDefinition.WindowKind

- All Implemented Interfaces:
    Serializable, Comparable<WindowDefinition.WindowKind>
  Enclosing interface:
    WindowDefinition

      public static enum WindowDefinition.WindowKind
      extends Enum<WindowDefinition.WindowKind>

  Enumerates the kinds of window that Jet supports.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SESSION` The session window captures bursts of events delimited by periods of quiescence.
    `SLIDING` A sliding window "slides" along the time axis in discrete steps.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WindowDefinition.WindowKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WindowDefinition.WindowKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SLIDING

          public static final WindowDefinition.WindowKind SLIDING

      A sliding window "slides" along the time axis in discrete steps. You can specify the size and the sliding step. The size of the window must be divisible by the sliding step.

    - #### SESSION

          public static final WindowDefinition.WindowKind SESSION

      The session window captures bursts of events delimited by periods of quiescence. You can specify the duration of the quiet period that causes the window to close.

  - ### Method Detail

    - #### values

          public static WindowDefinition.WindowKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WindowDefinition.WindowKind c : WindowDefinition.WindowKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WindowDefinition.WindowKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.